from tkinter import *

root = Tk()
root.title("Airvant Inventario")
root.config(bg="lightblue")

menubar = Menu(root)
filemenu = Menu(menubar, tearoff=0)
filemenu.add_command(label="Salir", command=root.quit()) #root.quit
menubar.add_cascade(label="Archivo", menu=filemenu)
root.config(menu=menubar)
# ESTARÍA BIEN CREAR ALGO QUE PONGA EL DESARROLLADOR DE LA TECNOLOGÍA

#img_airvant = PhotoImage(file="airvant_logo.png")

dato_piloto = StringVar()
dato_empresa = StringVar()
dato_pasillo = StringVar()
dato_alturamax = StringVar()
dato_longitudcodigo = StringVar()
dato_email = StringVar()
### NOS FALTA DEFINIR UNA NUEVA VARIABLE CODE PARA TOMAR UN TIPO DE TRABAJO Y OTRO, O UNA TRANSFORMACION
### U OTRA DEL ARCHIVO --> bien code128 o bien GS1

def op():
    CODE = str(dato_CODE.get())
    piloto = str(dato_piloto.get())
    if(CODE == ""):
        print("Seleccione un tipo de código")
        return
    if(CODE=="Code-128"):
        longitud = str(dato_longitud.get())
        print(longitud)
        
    print(CODE)
    print(piloto)

dato_CODE = StringVar()
dato_piloto = StringVar()
dato_longitud = IntVar()

Label(root, text = "Tipo de código a leer: ").grid(row=2, column=0, columnspan=2)
Radiobutton(root, text="Code 128", variable=dato_CODE, value="Code-128").grid(row=0, column=0)
Radiobutton(root, text="GS1 128", variable=dato_CODE, value="GS1-128").grid(row=1, column=0)
Entry(root, textvariable = dato_piloto).grid(row=4, column=0, columnspan=2)
Entry(root, textvariable = dato_longitud).grid(row=5, column=0, columnspan=2)


Button(root, text = "Marcar", command = op).grid(row=3, column=0)


"""
#form_piloto = Label(root, text = "Nombre del piloto: ").grid(row=0, column=0, columnspan=2)
#piloto = Entry(root, textvariable = dato_piloto).grid(row=1, column=0, columnspan=2)

form_empresa = Label(root, text = "Nombre de empresa: ").grid(row=2, column=0, columnspan=2)
empresa = Entry(root, textvariable = dato_empresa).grid(row=3, column=0, columnspan=2)

form_pasillo = Label(root, text = "Nº de pasillo: ").grid(row=4, column=0)
pasillo = Entry(root, textvariable = dato_pasillo, width = 8).grid(row=4, column=1)

form_altura = Label(root, text = "Altura de pasillo: ").grid(row=5, column=0)
alturamax = Entry(root, textvariable = dato_alturamax, width = 8).grid(row=5, column=1)

form_longitud = Label(root , text = "Longitud del codigo: ").grid(row=6, column=0)
longitudcodigo = Entry(root, textvariable = dato_longitudcodigo, width = 8).grid(row=6, column=1)

form_email = Label(root , text = "GMAIL de envío: ").grid(row=7, column=0)
email = Entry(root, textvariable = dato_email).grid(row=7, column=1)

boton = Button(root, text = "EMPEZAR/CONTINUAR CODE128", command = iniciar_trabajo_code128 ).grid(row=8, column=0, columnspan=2)
### METEMOS LA OPCION DEL NUEVO CODIGO
boton = Button(root, text = "EMPEZAR/CONTINUAR CODE128", command = iniciar_trabajo_GS1 ).grid(row=8, column=0, columnspan=2)

###
#boton_borrar = Button(root, text = "BORRAR ITEM", command = borrar_).grid(row=5, column=1)
boton_fin = Button(root, text = "ENVIAR TRABAJO", command = envio).grid(row=9, column=0, columnspan=2)

Label(root, text="Aplicacion para inventariado de almacen. Version 0.1.\nDesarrollada por Onwards.\n", justify="center").grid(row=10, column=0, columnspan=2)
Label(root, image=img_airvant).grid(row=0, rowspan=11, column=2)
"""
root.mainloop()





